<?php

class Skyword_Shortcode {

    function __construct() {
        add_shortcode('cf', array($this, 'customfields_shortcode'));
        add_shortcode('skyword_tracking', array(
            $this,
            'skyword_tracking'
        ));
        add_shortcode('skyword_iframe', array(
            $this,
            'skyword_iframe'
        ));
    }

    function customfields_shortcode($atts, $text) {
        global $post;

        return get_post_meta($post->ID, $text, true);
    }

    function skyword_tracking($atts) {
        global $post;

        if (!isset($atts['id'])) {
            $atts['id'] = get_post_meta($post->ID, 'skyword_content_id', true);
        }
        return "<script async='' type='text/javascript' src='//tracking.skyword.com/tracker.js?contentId={$atts['id']}'></script>";
    }

    /**
     * Creates a short code such as:
     * [skyword_iframe id="id" class="...classes" style="...styles" src="https://www.instagram.com/p/key/embed/captioned/" height="745" width="658"]
     * @param $atts
     * @return string
     */
    function skyword_iframe($atts) {
        $validattrs = ["src", "max-height", "max-width", "height", "width", "frameborder", "class", "id", "style"];
        $iframeattrs = "";
        foreach ($atts as $k => $v) {
            if (in_array($k, $validattrs) && isset($v)) {
                $iframeattrs .= " " . $k . "=\"" . $v . "\"";
            }
        }
        return "<iframe $iframeattrs ></iframe>";
    }
}

global $custom_shortcodes;
$custom_shortcodes = new Skyword_Shortcode;
